<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Everyone loves pizza!</title>
    <style>
        body{
        padding: 100px 100px 100px 100px;
        font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
    }
    button {
        background: black;
        color: white;
        padding: 10px 20px 10px 20px;
        border-radius: 50px;
        margin: 3px 0px 3px 0px;
        box-shadow: 0px 0px 0px transparent;
        border: 0px solid transparent;
        text-shadow: 0px 0px 0px transparent;
    }
    button:hover {
        background-color: #58D68D;
    }
    button:disabled {
        background: grey;
    }
    a {
        color: black;
    }
    </style>
</head>
<body>
<header>
    <a href="/">Go back</a>
    <p>Your receipt:</p>
</header>
<section id="orderList">

</section>
<section id="totalPrice">

</section>
<section id="customerInfo">

</section>

<script>

    var customerInfoSection = document.getElementById("customerInfo");

    fetch('/viewOrderInfo')
    .then(response => response.json())
    .then(response=>{
        console.log(response);
        console.log(response[0])
        console.log(response[1])

        var par = document.createElement("P");
        par.innerHTML = "Customer name: " + response[0] + "<br/>" + "Delivery address: " + response[1];
        customerInfoSection.appendChild(par);

        /*response.forEach((info)=>{
            var p = document.createElement("P");
            p.innerText = info
            document.getElementById("customerInfo").appendChild(p);
        })*/
    })

    var section = document.getElementById("orderList");


    var ul = document.createElement("UL");
    section.appendChild(ul);
    fetch('/receipt')
    .then(response => response.json())
    .then(response=>{
        console.log(response);
        let total = 0;
        response.forEach((pizza)=>{

            let par  = document.createElement("P");
            console.log(pizza.id);
            let text = pizza.id + ". " + pizza.name + ", " + pizza.size + ", Toppings: " ;
            for(let i = 0; i < pizza.toppings.length; i++){
                text += pizza.toppings[i] + ", ";
            }
            par.innerText = text;
            let parKr = document.createElement("P");
            parKr.innerHTML ="&emsp;" + pizza.price + " kr";
            document.getElementById("orderList").appendChild(par);
            section.appendChild(parKr);
            console.log(pizza.price)
/*
            var li = document.createElement("li");
            console.log(pizza);
            li.innerText = pizza.name + " " + pizza.size + ", price: " + pizza.price + "kr";
            ul.appendChild(li);*/
            total += pizza.price;
        })
        console.log("total to pay: " + total);
        document.getElementById("totalPrice").innerHTML = "Total amount to pay: " + "<u>" + total + " kr" + "</u>";


    })
</script>
</body>
</html>